/* Copyright 2016 Siddhartha Das (bablu.boy@gmail.com)
*
* This file is part of Nutty.
*
* Nutty is free software: you can redistribute it
* and/or modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* Nutty is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Nutty. If not, see http://www.gnu.org/licenses/.
*/

namespace NuttyApp.Constants{
	public const string app_id = "com.github.babluboy.nutty";
	public const string nutty_version = "1.1.0";
	public const string program_name = "Nutty";
	public const string app_icon = "com.github.babluboy.nutty";
	public const string app_years = "2015-2018";
	public const string[] about_authors = {"Siddhartha Das <bablu.boy@gmail.com>", null};
	public const string[] about_artists = {"Micah Ilbery <micah.ilbery@protonmail.com>", null};
	public const string nutty_copyright = "Copyright © 2017-2018 Siddhartha Das (bablu.boy@gmail.com)";
	public const string about_comments = _("A Network Utility");
	public const Gtk.License about_license_type = Gtk.License.GPL_3_0;
	public const string translator_credits = _("Weblate Translators");
	public const string main_url = "https://babluboy.github.io/bookworm";
	public const string bug_url = "https://github.com/babluboy/bookworm/issues";
	public const string help_url = "https://github.com/babluboy/bookworm/wiki";
	public const string translate_url = "https://hosted.weblate.org/projects/bookworm/bookworm/";
	public const string TEXT_FOR_ABOUT_DIALOG_WEBSITE = _("Website | Translation | Bug Tracker");
	public const string TEXT_FOR_ABOUT_DIALOG_WEBSITE_URL = "https://babluboy.github.io/nutty";

	//Set resource paths
	public const string INSTALL_PREFIX = "/usr";
	public const string RESOURCE_PREFIX = "/com/github/babluboy/nutty/";
	public const string nutty_script_path = "/usr/share/nutty/scripts";
	public const string nutty_pkgdata_path = "/usr/share/nutty";

	public const string DEVICE_AVAILABLE_ICON_IMAGE_LOCATION = RESOURCE_PREFIX+"16-nutty-device-available";
	public const string DEVICE_OFFLINE_ICON_IMAGE_LOCATION = RESOURCE_PREFIX+"16-nutty-device-offline";
	public const string DEFAULT_APP_ICON_IMAGE_LOCATION = RESOURCE_PREFIX+"16-nutty-application-default-icon";
	public const string HEADERBAR_PROPERTIES_IMAGE_LOCATION = RESOURCE_PREFIX+"24-nutty-open-menu.svg";
	
	//Scripts used by Nutty
	public const string COMMAND_FOR_INTERFACES = nutty_script_path + "/" + "nutty_cli_script.sh";
	public const string COMMAND_FOR_PROCESS_BANDWIDTH = nutty_script_path + "/" + "nutty_nethogs_script.sh";
	public const string COMMAND_FOR_DEVICE_SCAN = nutty_script_path + "/" + "nutty_nmap_script.sh";
	public const string COMMAND_FOR_SCHEDULED_DEVICE_SCAN = nutty_script_path + "/" + "nutty_device_monitor.sh";
	public const string COMMAND_FOR_SCHEDULED_DEVICE_ALERT = nutty_script_path + "/" + "nutty_device_alert.sh";

	//Temp files used for Nutty
	public const string temp_path = "/tmp";
	public const string nmap_output_filename = temp_path + "/" + "nutty_nmap_device_scan_results.xml";
	public const string nutty_agreement_file_name = "nutty_disclaimer_agreement.txt";
	//nutty_devices_props.txt: Not used any more, just for backwards compatibility for v0.9
	public const string nutty_devices_property_file_name = "nutty_devices_props.txt";
	public const string nutty_monitor_scheduler_backup_file_name = "root_crontab_backup.txt";
	public const string nutty_alert_scheduler_backup_file_name = "user_crontab_backup.txt";

	public const string PRIMARY_TEXT_FOR_DISCLAIMER = _("Network Scan Agreement");
	public const string SECONDARY_TEXT_FOR_DISCLAIMER = _("This application has features to perform port scanning and provide information on devices on the network you are using. It is perfectly OK to scan for devices on your own residential home network or when explicitly authorized by the destination host and/or network.\n\nWhile using port scan (Devices tab) on a network which you do not own please consult and get approval of the Network Administrator or other competent network authority.");
	public const string TEXT_FOR_PREF_MENU_ABOUT_ITEM = _("About");
	public const string TEXT_FOR_SUBTITLE_HEADERBAR = _("Network Utility");
	public const string TEXT_FOR_SEARCH_HEADERBAR = _("Filter results...");
	public const string TEXT_FOR_HEADERBAR_MENU_PREFS = _("Preferences");
	public const string TEXT_FOR_HEADERBAR_MENU_EXPORT = _("Export to File");
	public const string TEXT_FOR_PASSWORD_INPUT_FOR_SUDO = _("Nutty needs authentication to perform this action, please provide your password to continue.");
	public const string TEXT_FOR_PASSWORD_INPUT_FOR_CRONTAB = _("Nutty needs authentication to update the root scheduler(crontab) for device monitoring. Please provide your password to complete this change. \n\nNote: The current root scheduler (crontab) will be backed up to the home directory.");
	public const string TEXT_FOR_TIME_TODAY = _("Today");
	public const string TEXT_FOR_TIME_YESTERDAY = _("Yesterday");
	public const string TEXT_FOR_TIME_DAYS = _("days ago");
	public const string TEXT_FOR_LABEL_RESULT = _("Results: ");
	public const string TEXT_FOR_NO_DATA_FOUND = _("No data found");
	public const string TEXT_FOR_NOT_AVAILABLE = _("Not Available");
	public const string TEXT_FOR_DISCLAIMER_AGREE_BUTTON = _("I Agree");
	public const string TEXT_FOR_WIRED_CONNECTION = _("Wired");
	public const string TEXT_FOR_WIRELESS_CONNECTION = _("Wireless");
	public const string TEXT_FOR_OTHER_CONNECTION = _("Other");
	public const string TEXT_FOR_MYINFO_TAB = _("My Info");
	public const string TEXT_FOR_INTERFACE_LABEL = _("Select a connection");
	public const string TEXT_FOR_MYINFO_DETAILS_LABEL = _("View Details");
	public const string TEXT_FOR_MYINFO_COLUMN_NAME_1 = _("Attribute");
	public const string TEXT_FOR_MYINFO_COLUMN_NAME_2 = _("Details");
	public const string TEXT_FOR_MYINFO_HOSTNAME = _("Host Name");
	public const string TEXT_FOR_MYINFO_MAC_ADDRESS = _("MAC Address");
	public const string TEXT_FOR_MYINFO_IP_ADDRESS = _("IP Address");
	public const string TEXT_FOR_MYINFO_INTERFACE_STATE = _("Interface State");
	public const string TEXT_FOR_MYINFO_INTERFACE_HARDWARE = _("Interface Hardware");
	public const string TEXT_FOR_MYINFO_PRODUCT = _("Product");
	public const string TEXT_FOR_MYINFO_VENDOR = _("Vendor");
	public const string TEXT_FOR_MYINFO_PHYSICALID = _("Physical ID");
	public const string TEXT_FOR_MYINFO_BUSINFO = _("Bus Info");
	public const string TEXT_FOR_MYINFO_VERSION = _("Version");
	public const string TEXT_FOR_MYINFO_CAPACITY = _("Capacity");
	public const string TEXT_FOR_MYINFO_BUSWIDTH = _("Bus Width");
	public const string TEXT_FOR_MYINFO_CLOCKSPEED = _("Clock Speed");
	public const string TEXT_FOR_ROUTE_TAB = _("Speed");
	public const string TEXT_FOR_ROUTE_TO_HOST = _("Route times to Host (in milliseconds): ");
	public const string TEXT_FOR_ROUTE_COLUMN_NAME_1 = _("Hop#");
	public const string TEXT_FOR_ROUTE_COLUMN_NAME_2 = _("Server IP");
	public const string TEXT_FOR_ROUTE_COLUMN_NAME_3 = _("Server Name");
	public const string TEXT_FOR_ROUTE_COLUMN_NAME_4 = _("1st Packet Time");
	public const string TEXT_FOR_ROUTE_COLUMN_NAME_5 = _("2nd Packet Time");
	public const string TEXT_FOR_ROUTE_COLUMN_NAME_6 = _("3rd Packet Time");
	public const string TEXT_FOR_SPEED_LABEL = _("Internet Speed : Results from test on");
	public const string TEXT_FOR_SPEED_TEST_NOT_DONE_LABEL = _("No speed test has been done");
	public const string TEXT_FOR_SPEEDTEST_COLUMN_NAME_1 = _("Upload Speed");
	public const string TEXT_FOR_SPEEDTEST_COLUMN_NAME_2 = _("Download Speed");
	public const string TEXT_FOR_SPEEDTEST_TOOLTIP = _("Refresh Speed Test Results");
	public const string TEXT_FOR_SPEEDTEST_NOTFOUND = _("Unknown Date. Please click Refresh Button to perform Speed Test");
	public const string TEXT_FOR_PORTS_TAB = _("Ports");
	public const string TEXT_FOR_PORTS_RESULTS = _("All active ports scanned.");
	public const string TEXT_FOR_PORTS_TOOLTIP = _("Refresh Ports results");
	public const string TEXT_FOR_PORTS_COLUMN_NAME_1 = _("Protocol");
	public const string TEXT_FOR_PORTS_COLUMN_NAME_2 = _("State");
	public const string TEXT_FOR_PORTS_COLUMN_NAME_3 = _("Port");
	public const string TEXT_FOR_PORTS_COLUMN_NAME_4 = _("Process ID");
	public const string TEXT_FOR_PORTS_COLUMN_NAME_5 = _("Program Name");
	public const string TEXT_FOR_PORTS_COLUMN_NAME_6 = _("Path");
	public const string TEXT_FOR_DEVICES_TAB = _("Devices");
	public const string TEXT_FOR_DEVICES_TOOLTIP = _("Refresh device scan results");
	public const string TEXT_FOR_DEVICES_COLUMN_NAME_1 = _("Status");
	public const string TEXT_FOR_DEVICES_COLUMN_NAME_2 = _("Device Name");
	public const string TEXT_FOR_DEVICES_COLUMN_NAME_3 = _("Device Manufacturer");
	public const string TEXT_FOR_DEVICES_COLUMN_NAME_4 = _("Last Seen");
	public const string TEXT_FOR_DEVICES_COLUMN_NAME_5 = _("Discovered On");
	public const string TEXT_FOR_DEVICES_COLUMN_NAME_6 = _("Host IP");
	public const string TEXT_FOR_DEVICES_COLUMN_NAME_7 = _("Host MAC");
	public const string TEXT_FOR_DEVICES_ACTIVE_NOW = _("Active");
	public const string TEXT_FOR_DEVICES_NONACTIVE_NOW = _("Non Active");
	public const string TEXT_FOR_DEVICES_RECORDED = _("Discovered Earlier");
	public const string TEXT_FOR_RECORDED_DEVICES = _("Displaying devices recorded earlier. Select a connection to update status.");
	public const string TEXT_FOR_NO_RECORDED_DEVICES_FOUND = _("No devices have been recorded earlier. Select a connection to update results.");
	public const string TEXT_FOR_DEVICES_SCAN_IN_PROGRESS = _("Device scan in progress ...");
	public const string TEXT_FOR_DEVICES_FOUND = _("devices found on this connection");
	public const string TEXT_FOR_DEVICES_ACTION = _("Actions for : ");
	public const string TEXT_FOR_DEVICES_REMOVAL = _("Forget device");
	public const string TEXT_FOR_DEVICE_FOUND_NOTIFICATION = _("New Device found on network:");
	public const string TEXT_FOR_BANDWIDTH_TAB = _("Usage");
	public const string TEXT_FOR_BANDWIDTH_INTERFACE_RESULTS_1 = _("Connection monitored from ");
	public const string TEXT_FOR_BANDWIDTH_INTERFACE_RESULTS_2 = _(" and last updated on ");
	public const string TEXT_FOR_BANDWIDTH_INTERFACE_NO_DB_FOUND = _("Please add this connection interface to vnstat using command line.");
	public const string TEXT_FOR_BANDWIDTH_YESTERDAY = _("Yesterday");
	public const string TEXT_FOR_BANDWIDTH_TODAY = _("Today");
	public const string TEXT_FOR_BANDWIDTH_COLUMN_NAME_1 = _("Time Period");
	public const string TEXT_FOR_BANDWIDTH_COLUMN_NAME_2 = _("Data Received");
	public const string TEXT_FOR_BANDWIDTH_COLUMN_NAME_3 = _("Data Sent");
	public const string TEXT_FOR_BANDWIDTH_COLUMN_NAME_4 = _("Total Data");
	public const string TEXT_FOR_BANDWIDTH_LABEL = _("Select a connection to view data usage");
	public const string TEXT_FOR_BANDWIDTH_PROCESS_LABEL = _("Click refresh to see current Apps using ");
	public const string TEXT_FOR_BANDWIDTH_PROCESS_TOOLTIP = _("Refresh Apps bandwidth usage");
	public const string TEXT_FOR_BANDWIDTH_PROCESS_COLUMN_NAME_1 = _("Name");
	public const string TEXT_FOR_BANDWIDTH_PROCESS_COLUMN_NAME_2 = _("Data Sent (Kb/sec)");
	public const string TEXT_FOR_BANDWIDTH_PROCESS_COLUMN_NAME_3 = _("Data Received (Kb/sec)");
	public const string TEXT_FOR_PREFS_DIALOG_DEVICE_MONITORING = _("Background Device Monitoring");
	public const string TEXT_FOR_PREFS_DIALOG_0MIN_OPTION = _("No monitoring of devices");
	public const string TEXT_FOR_PREFS_DIALOG_15MIN_OPTION = _("Monitor devices every 15 minutes");
	public const string TEXT_FOR_PREFS_DIALOG_30MIN_OPTION = _("Monitor devices every 30 minutes");
	public const string TEXT_FOR_PREFS_DIALOG_HOUR_OPTION = _("Monitor devices every hour");
	public const string TEXT_FOR_PREFS_DIALOG_DAY_OPTION = _("Monitor devices once a day");
	public const string TEXT_FOR_PREFS_DIALOG_CLOSE_BUTTON = _("Close");
	public const string TEXT_FOR_STATE_DEVICE_MONITORING_STATE = _("DEVICE_MONITORING_STATE");
	public const string TEXT_FOR_STATE_DEVICE_MONITORING_SCHEDULE = _("DEVICE_MONITORING_SCHEDULE");
	public const string TEXT_FOR_STATE_SPEEDTEST_DATE = _("SPEEDTEST_DATE");
	public const string TEXT_FOR_STATE_SPEEDTEST_UPLOADSPEED = _("SPEEDTEST_UPLOADSPEED");
	public const string TEXT_FOR_STATE_SPEEDTEST_DOWNLOADSPEED = _("SPEEDTEST_DOWNLOADSPEED");
	public const string TEXT_FOR_NUTTY_EXPORT_HEADER = _("Nutty Information Exported on ");
	public const string COMMAND_FOR_HOST_NAMES = "hostname";
	public const string COMMAND_FOR_INTERFACE_HARDWARE = "lspci -v";
	public const string SCRIPT_FOR_BANDWIDTH_USAGE = "sudo nethogs -t > /tmp/nethogs.txt &bg\nsleep 3\nsudo killall nethogs";
	public const string[] COMMAND_FOR_PORTS = {"netstat", "-p", "-e"};
	public const string COMMAND_FOR_WIRELESS_CARD_DETAILS = "iwconfig ";
	public const string COMMAND_FOR_WIRELESS_CARD_CHANNEL_DETAILS = "iwlist ";

	public const string IDENTIFIER_FOR_MACADDRESS_IN_COMMAND_OUTPUT = "HWaddr";
	public const string IDENTIFIER_FOR_IPADDRESS_IN_COMMAND_OUTPUT = "inet addr:";
	public const string IDENTIFIER_FOR_START_OF_HOST_IN_NMAP_OUTPUT = "<host>";
	public const string IDENTIFIER_FOR_END_OF_HOST_IN_NMAP_OUTPUT = "</host>";
	public const string IDENTIFIER_FOR_NMAP_RESULTS = "summary=";
	public const string IDENTIFIER_FOR_NO_DB_FOUND_IN_VNSTAT_OUTPUT = "Unable to read database";
	public const int HAS_DISCLAIMER_BEEN_AGREED = 1;
	public const int REMEMBER_DISCLAIMER_AGREEMENT = 2;
	public const string DEVICE_ALERT_PENDING = "ALERT_PENDING";
	public const string DEVICE_ALERT_COMPLETED = "ALERT_COMPLETED";
	public const string IDENTIFIER_FOR_PROPERTY_START = "~~";
	public const string IDENTIFIER_FOR_PROPERTY_END = "##\n";
	public const string IDENTIFIER_FOR_PROPERTY_VALUE = "==";
	public const string IDENTIFIER_FOR_UPLOAD_IN_SPEED_TEST = "Upload:";
	public const string IDENTIFIER_FOR_DOWNLOAD_IN_SPEED_TEST = "Download:";

	public const string REFRESH_ICON = "view-refresh-symbolic";
	public const string GO_ICON = "go-next";
	public const int NUMBER_OF_DEVICE_ATTRIBUTES_IN_DEVICEPROPS = 6;
	public const int SPACING_WIDGETS = 12;
	public const int SPACING_BUTTONS = 6;
	public const int DEVICE_SCHEDULE_0MINS = 0;
	public const int DEVICE_SCHEDULE_15MINS = 15;
	public const int DEVICE_SCHEDULE_30MINS = 30;
	public const int DEVICE_SCHEDULE_1HOUR = 60;
	public const int DEVICE_SCHEDULE_1DAY = 1440;
	public const string DYNAMIC_CSS_CONTENT = "@define-color colorPrimary #9BDB4D; @define-color textColorPrimary shade (@colorPrimary, 0.50); @define-color textColorPrimaryShadow alpha (shade (@colorPrimary, 1.4), 0.6);";

}
